# Documentation on how to configure the bundle can be found at: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"
    twig:
        mode: lazy
    webp:
        generate: true
        # configure resolvers
    resolvers:

        # setup the default resolver
        default:

            # use the default web path
            web_path: ~

    # your filter sets are defined here
    filter_sets:

        # use the default cache configuration
        cache: ~

        carousel_png:
            format: png
            quality: 100

        carousel_jpg:
            format: jpeg
            quality: 100

        carousel_webp:
            format: webp
            quality: 100

        item_thumb_png:
            format: png
            quality: 80

        item_thumb_jpg:
            format: jpeg
            quality: 80

        item_thumb_webp:
            format: webp
            quality: 100

        blog_cat_thumb_png:
            format: png
            quality: 80
            filters:
                thumbnail: { size: [ 200, 200 ] }

        blog_cat_thumb_jpg:
            format: jpeg
            quality: 80
            filters:
                thumbnail: { size: [ 200, 200 ] }

        blog_cat_thumb_webp:
            format: webp
            quality: 100
            filters:
                thumbnail: { size: [ 200, 200 ] }

        brand_thumb_png:
            format: png
            quality: 80

        brand_thumb_jpg:
            format: jpeg
            quality: 80

        brand_thumb_webp:
            format: webp
            quality: 100

